#include <stdio.h>
#include "native_wrap.h"


const char * initFilename() {
  printf( "initFilename\n");
  const char * filename = __FILE__;
  return filename;
}

const char * filename = initFilename();


extern "C" int mainloop( int, char **) 
{
  printf( "file: %s\n", filename);

  EllipseData_wrap data = { 3.1, 4.2 };
  double result = calcEllipse_wrap( data);
  printf( "result: %f\n", result);

  result = calcCircle_wrap( 2.3);
  printf( "result: %f\n", result);

  return 0;
}
