
#include <stdio.h>
#include <iostream.h>
#include "native.h"

double * initPi()
{ 
  printf( "initPi\n");
  static double Pi = 3.141593;
  return &Pi;
}

// modul global variable with static initialization
double * Pi = initPi();

NativeClass::NativeClass() {
  cout << "NativeClass::NativeClass()\n";
}

NativeClass::~NativeClass() {
  cout << "NativeClass::~NativeClass()\n";
}

// implementation of C++ function
double NativeClass::calcEllipse( EllipseData input)
{ return (*Pi) * input.r1 * input.r2; }
