#include <stdio.h>
#include <iostream.h>
#include "native_wrap.h"


const char * initFilename() {
  printf( "initFilename\n");
  const char * filename = __FILE__;
  return filename;
}

const char * filename = initFilename();

extern "C" int mainloop( int, char **) 
{
  cout << "file: " << filename << endl;

  // instanciate class NativeClass
  NativeClass_wrap * nativeClass = newNativeClass(); 

  // call the method
  EllipseData_wrap data = { 3.1, 4.2 };
  double result = calcEllipse( nativeClass, data);
  cout << "result: " << result << endl;

  // destruct class NativeClass
  deleteNativeClass( nativeClass);

  return 0;
}
