#include "native_library/native.h"
#include "native_wrap.h"


extern "C" { 

// Konstruktoren
NativeClass_wrap  * newNativeClass() 
{ 
  return (NativeClass_wrap*) new NativeClass(); 
}

// Destruktor
void deleteNativeClass( NativeClass_wrap *& nativeClass) 
{ 
  NativeClass * nativeClass_ = (NativeClass*) nativeClass;
  delete nativeClass_; 
  nativeClass = 0;
}

// method
double calcEllipse( NativeClass_wrap * nativeClass, EllipseData_wrap input) 
{ 
  EllipseData data = { input.r1, input.r2};
  NativeClass * nativeClass_ = (NativeClass*) nativeClass;
  return nativeClass_->calcEllipse( data); 
}


} /* extern "C" */
